#include <bits/stdc++.h>

using namespace std;

map <pair<int, int>, int> mapa;
set <pair<int, int>> benzin;

int main()
{
    int n;
    cin >> n;
    pair <int, int> tocka[n];
    vector <pair <int, int>> duzi;
    for(int i = 0; i < n; i++)
    {
        cin >> tocka[i].first >> tocka[i].second;
    }
    for(int i = 0; i < n; i++)
    {
        for(int j = i + 1; j < n; j++)
        {
            int x = tocka[i].first - tocka[j].first;
            int y = tocka[i].second - tocka[j].second;
            if(x == 0)
            {
                if(y < 0) y *= -1;
            }
            else if(x < 0)
            {
                x *= -1;
                y *= -1;
            }
            duzi.push_back({x, y});
            mapa[{x, y}]++;
        }
    }
    long long rez = 0;
    for(long long i = 0; i < duzi.size(); i++)
    {
        rez += mapa[{duzi[i].first * 2, duzi[i].second * 2}];
        cout << rez << endl;
    }
    cout << rez;
    return 0;
}